/**
 * 
 */
package net.bigeon.gclc.process;

import static org.junit.Assert.assertNotNull;

import org.junit.Test;

import net.bigeon.gclc.command.SubedCommand;
import net.bigeon.gclc.exception.InvalidCommandName;

/** @author Emmanuel Bigeon */
public class ScreenAttachementTest {

    /** Test method for
     * {@link net.bigeon.gclc.process.ScreenAttachement#attach(net.bigeon.gclc.command.ICommandProvider)}.
     * 
     * @throws InvalidCommandName if an error occured in attachement */
    @Test
    public void testAttach() throws InvalidCommandName {
        final TaskPool pool = new TaskPool();
        final ScreenAttachement attachement = new ScreenAttachement(pool, 15);
        final SubedCommand testPoint = new SubedCommand("test");
        attachement.attach(testPoint);
        assertNotNull("Commands should be added", testPoint.get("terminate"));
        assertNotNull("Commands should be added", testPoint.get("list"));
        assertNotNull("Commands should be added", testPoint.get("clear"));
        assertNotNull("Commands should be added", testPoint.get("fg"));
        assertNotNull("Commands should be added", testPoint.get("fork"));
    }

}
